Package relaxngcc.grammar

# Class AttributePattern

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.MarkupPattern
relaxngcc.grammar.AttributePattern

public class AttributePattern extends MarkupPattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

### Fields inherited from class relaxngcc.grammar.MarkupPattern

`body, endLocator, name, startLocator`

## Constructor Summary

Constructors
Constructor
Description
`AttributePattern(ParserRuntime rt, Locator sloc, NameClass name, Pattern body)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributePattern

public AttributePattern(ParserRuntime rt, Locator sloc, NameClass name, Pattern body)

## Method Details

### apply

public Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`